Summary:        Libraries to parse configuration files
Name:           dotconf
Version:        1.3
Release:        3%{?dist}
License:        LGPLv2
URL:            https://github.com/williamh/dotconf/
Source0:        https://github.com/williamh/dotconf/archive/v%{version}.tar.gz
 
BuildRequires:  make gcc findutils glibc-common autoconf automake libtool

%description
This package provides a library used to handle configuration files.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconf-pkg-config

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

iconv -f iso-8859-2 -t utf-8 -o iconv.tmp AUTHORS
mv iconv.tmp AUTHORS
iconv -f iso-8859-2 -t utf-8 -o iconv.tmp doc/dotconf-features.txt
mv iconv.tmp doc/dotconf-features.txt
rm examples/maketest.sh
find %{buildroot} -type f -name "*.a" -o -name "*.la" | xargs rm -f

rm -rf __tmp_doc ; mkdir __tmp_doc
mv %{buildroot}%{_docdir}/%{name}/* __tmp_doc

%files
%license COPYING
%doc README AUTHORS
%{_libdir}/libdotconf*.so.*

%files devel
%doc __tmp_doc/*
%{_includedir}/dotconf.h
%{_libdir}/libdotconf*.so
%{_libdir}/pkgconfig/dotconf.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3-1
- package init.
